\version "2.11.23"

\include "deutsch.ly"

\include "definitions.ly"


global = {
  \tempoMark "4" "~ 110 - 130"
  \time 4/4
  \key c \major
  \override Score.Glissando #'breakable = ##t
  \set Staff.extraNatural = ##f
  \override Score.PaperColumn #'keep-inside-line = ##t
  #(set-accidental-style 'modern-cautionary)
}


ViolinoI = \new Voice { \relative c' {
  \set Staff.instrumentName = "Violino I"
  \myGlissandoSettings

  % C-Dur
  c4\ff^\pizz r4 r2 R1*1 r4 d16\ffmarcato^\arco e f gis

  % a-moll
  r2 R1*1

  % F-Dur
  g,16\(\pp-\sp a b c d e\) r8 r8. d'16\( e f g a b\) r8. r8 a16\( b c d e f\) r4

  % d-moll
  d\sfz^\pizz r8
  e,16\(\f-\ord^\arco d cis b a g\) r4

  % B-Dur
  b4\sfz^\pizz r16 g'8\pp r16 c8 es,16 f' r a,,8 r16 r
  #(set-octavation 1)
  es''8.\(\fespr^\arco a d16~ d4~ d16 c,8\)
  #(set-octavation 0)
  r16 r

  % g-moll
  g'\(\ff fis es d c b a g fis es d\) c\(\> b as g f es d\)\!

  % Es-Dur
  r r8.  b''16[\(--\mfgiocoso c]\) r es,,\(-- <f b\harmonic>\) r4

  % c-moll
  r2

  % As-Dur
  as,8\sfz^\pizz r

  % f-moll
  #(set-octavation 1)
  f'''16\(\pp-\asp^\arco g as b\) r8.

  % Des-Dur
  h,16[\(\ppp\> c] d[ e fis g] a[ h c dis]\)\!

  % b-moll
  b[\(\subitoff-\ord a ges f] es[ des c b]\) r8. r4 a'16\( ges f es\) des\( c b as\)

  % Ges-dur
  ges\ffmarcato^\spiccato
  #(set-octavation 0)
  r8 ces r8. as16 r8. r4 b,,16 r8. r b'''16[\( ces,]\) r8.

  % es-moll
  r4 f,,2\p es4~ es2~ es16 e8 r16

  % H-Dur
  r \quasiGlissando cis\f\( \glissando dis'\) r \quasiGlissando fis\( \glissando gis,\) r8 r4 r16 \quasiGlissando ais\(\mp \glissando h'\)
  r r <\parenthesize e, a\harmonic>8.~\f-\open <\parenthesize e a\harmonic>4 r8

  % gis-moll
  \textSpannerUp
  \override TextSpanner #'bound-details #'left #'text = #(markup #:italic "sul sol")
  %\override TextSpanner #'bound-details #'right #'text = ""
  gis,16\pp^\pizz\startTextSpan fisis e dis cis h\stopTextSpan r4 r2 r4
  fisis'''16\fff^\bartokPizz e\p r8 r gis,16\(\ff^\arco fis'\)

  % E-Dur
  r2. r4 r8.

  % cis-moll
  #(set-octavation 1)
  cis'16\ff\> \glissando \afterGrace his2\( \glissando { \noStem his,16\) \glissando } \afterGrace a2\( \glissando { \noStem a,16\)\mf }
  #(set-octavation 0)
  \afterGrace gis''2\(\ff\> \glissando { \noStem gis,16\) \glissando } fis2\( \glissando e,16\)\mf
  #(set-octavation 1)
  dis'''4..\(\ff\> \glissando \afterGrace dis,8. \glissando { \noStem h16\)\mf }
  #(set-octavation 0)

  % A-Dur
  r
  << \new Voice {
      \myGlissandoSettings
      \hideNotes
      \octave h'
      \simpleBracket
      h2.\startTextSpan \glissando \afterGrace gis''4. \glissando gis'\stopTextSpan
      \unHideNotes
    } {
      \octave h'
      \simpleBracket
      <h fis'>2.\f\>-\sp\startTextSpan \glissando
      \afterGrace {\zeroDyn <gis'' dis'>4.\ppp\> \glissando} {\hideNotes <gis' dis'>\stopTextSpan \unHideNotes}
  } >>

  % fis-moll
  r8 r2\! r4.

  % D-Dur
  d,,,16\pp-\ord^\pizz r r2 r4 d16-.\pp\>^\arco e-. fis-. g-. a-. r8. r4 h16-. cis-. d-. e-. r8. h'16^\pizz cis d r8
  #(set-octavation 1)
  g16 ais

  % h-moll
  h\! ais g fis r8 cis16\(\f^\arco h' ais\)
  #(set-octavation 0)
  r r8 d,,,^\bartokPizz r16 ais''\( g,,\) r e''\( d,\) r h''[\( a,]\)

  % G-Dur
  r \afterGrace a8\mf \glissando {\hideNotes a' \unHideNotes} r16 \afterGrace d8 \glissando {\hideNotes d, \unHideNotes}
  r16 r8 h'\f^\colLegnoBattuto r16 e8 r 16 a8 r r g,,,\mf^\pizz r16 cis'8 r16 fis'8 r r

  % e-moll
  #(set-octavation 1)
  e'16\(\ff\<^\arco dis c h\) a\( g fis e\) dis\( c
  #(set-octavation 0)
  h a\) g\( fis e dis\) c\( h\) a\( g\) fis\( e dis\) c\( h a\) g'\( f! e d! c4->\)\! r2

  \bar "|."
  }
}


ViolinoII = \new Voice { \relative c' {
  \set Staff.instrumentName = "Violino II"
  \myGlissandoSettings

  c4\ff^\pizz r4 r2 r16 f-.\pp^\arco g-. a-. h-. c-. d-. e-. f-. g-. a-. h-. c-. d-. e-. r r4
  #(set-octavation 1)
  d16\ffmarcato e f gis

  % a-moll
  a\(\subitop gis f e d c h a\)
  #(set-octavation 0)
  gis\(\> f e d c h a gis\) f\( e d c\! b a\) r8

  % F-Dur
  r b16\(\pp-\sp c d\) r8. r16 b'\( c d\) r4 b'16\( c d\) r r8. b,16\( c d\) r8 r
  #(set-octavation 1)
  h''16\( cis

  % d-moll
  d8\)
  #(set-octavation 0)
  r r16 f,,\(--\f-\ord e d\) cis\(-- b\) a\(--\< g f\) r8.

  % B-Dur
  b,8\sfz^\colLegno r r16 g'8\pp^\pizz r16 c8 es16 f, r a,8 r16 r8
  f'16\(\p^\arco-\sp g\) a\(b c\) d\( es\) f\( g\) a\( b c\) d\( e\) fis\(

  % g-moll
  g fis es\) r c,\(\ff-\ord b a g fis\) es8~\< es4~ es8 d16\(\subitop

  % Es-Dur
  es f g as\) r c\(--\mfgiocoso d\) r f[\(-- g,, as'']\) r8

  % c-moll
  r2

  % As-Dur
  as,16\(\mf\> b as g

  % f-moll
  f8\)\pp r r16

  % Des-Dur
  #(set-octavation 1)
  ces'[\(\pp\>-\asp des es fes] ges[ as b ces] des[ es fes g]\)\!

  % b-moll
  b[\(\subitoff-\ord a ges f] es[ des c b]\)
  #(set-octavation 0)
  a[\( ges f es] des[ c b a]\) ges[\( f es]\) r c'\( b as\)

  % Ges-dur
  ges\ffmarcato^\spiccato r8 ces r8. as'16 r8. r4 b,,16 r8 es16[-. f']-. r8 b16[\( ces,]\) r8.

  % es-moll
  r16 b,8.~\p-\sp b2.~ b2~\< b16 r8.

  % H-Dur
  h8\sfz^\bartokPizz-\tweak #'padding #4.25 -\ord r16 e\sfz^\bartokPizz
  r8. \times 2/3 { h8\ff^\pizz cis'' e, } r16 r8 \quasiGlissando h'16\(--\fff^\arco \glissando cis,\) r e'8.~\ffespr e4 r2

  % gis-moll
  r16 gis\pp^\pizz fisis e dis cis r8 r2. r8 gis,16\(\ff^\arco fis'\)

  % E-Dur
  r2. r4 r8.

  % cis-moll
  \afterGrace cis'2\(\ff\> \glissando { \noStem cis,16\) \glissando } his\( \glissando \afterGrace a4.. \glissando { \noStem his,16\)\mf }
  a''16\(\ff\> \glissando gis2 \glissando fis,16\noBeam\)\mf
  e''8.\(\ff\> \glissando \afterGrace his2 \glissando { \noStem his,16\) \glissando }
  a4\( \glissando \afterGrace dis,8. \glissando { \noStem h16\)\mf }

  % A-Dur
  r
  << \new Voice {
      \myGlissandoSettings
      \hideNotes
      \octave g'
      \simpleBracket
      \stemDown g2.\startTextSpan \glissando \afterGrace e''4. \glissando e'\stopTextSpan
      \unHideNotes
    } {
      \octave g'
      \simpleBracket
      <g dis'>2.\ff\>-\sp\startTextSpan \glissando \afterGrace {\zeroDyn <e'' his'>4.\pp\> \glissando} {\hideNotes <e' his'>\stopTextSpan \unHideNotes}
  } >>

  % fis-moll
  r8 r2\! r4.

  % D-Dur
  d,,,16-.\pp^\ord-\ord e-. r2 g,16-. a-. h-. cis-. d-. r8. r4 r16 fis-.\pp g-. a-. h-. r8. r16 g'^\pizz a h r8. fis'16[ g] r

  % h-moll
  h,\sfz^\bartokPizz r r fis'\(\f^\arco e,\) r cis\( h' ais\) r fis,\( e' d,\) r h'\( ais'\) r fis[\( e]\) r c,\( h'\)~ h

  % G-Dur
  r a8\mf^\pizz-+ r16 d8^\flageolet r16 r8 h\f^\colLegnoBattuto r16 e8 r16 a8 r e,16\pp^\pizz fis g a h c d e fis8 r r

  % e-moll
  e'16\(\ff\<^\arco dis c h\) a\( g fis e\) dis\( c h a\) g\( fis e dis\) c\( h\) a'\( g\) fis\( e\) dis'\( c h a\) g\( f! e d! c4\)->\! r2

  \bar "|."
  }
}


Viola = \new Voice { \relative c {
  \set Staff.instrumentName = "Viola"
  \myGlissandoSettings

  \clef alto

  % C-Dur
  c4\ff^\pizz r4 r2 r8 g'16-.\pp^\arco a-. h-. c-. d-. e-. f-. g-. a-. h-. \clef violin c-. d-. e-. f-.
  g-. a-. h-. c-. d,\ffmarcato e f gis

  % a-moll
  r2 \clef alto r8 e,16\(\f\> d c h a gis f e\)\! r8 r4

  % F-Dur
  r8. c16\(\pp d e f g\) r8. d'16\( e f g a\) \clef violin r8. e'16\( f g a b\) r8. f16\(\< g a h cis\)

  % d-moll
  d\(--\f cis\) b\(-- a\) g\(-- f e\( d\(-- cis\) b\(-- a\) g\(-- f\) es\(--\< d c\)

  % B-Dur
  \clef alto b\sfz r8 es,16\pp^\pizz r8 a r4 r16 a8 r16 \clef violin r es''8.\(\fespr^\arco a d16~ d4~ d16 c,8\) r16 r

  % g-moll
  g'\ff fis es \clef alto r c,\( b a g\< fis8.\)~ fis4\( f!8\) d\subitop^\pizz

  % Es-Dur
  r as'16\(--\mfgiocoso^\arco b\) r d\(-- es,\) r r as'\(-- h,\)

  % c-moll
  r r4 es16\(\mf\> des c b

  % As-Dur
  as b as g\)\pp

  % f-moll
  r4 \clef violin r16

  % Des-Dur
  f'[\(\p\>-\sp g a b] c[ d e f] g[ a h cis]\)\!

  % b-moll
  b[\(\subitoff-\ord a ges f] es[ des c b]\) a[\( ges f es] des] c b]\) r4 \clef alto des16\( c b as\)

  % Ges-Dur
  ges\ffmarcato^\spiccato r8 ces r8. as'16 r8. r4 b16 r8 es,,16[-. f']-. r8 b16[\( ces,]\) r8.

  % es-moll
  r4. <\parenthesize d g\harmonic>16~\p-\open <\parenthesize d g\harmonic>4~ <\parenthesize d g\harmonic>8. ces'8~ ces2.

  % H-Dur
  r16 cis,,-.\ppleggiero dis-. e-. fis-. gis-. ais-. h-. cis-. dis-. e-. fis-. gis-. ais-. h-. cis-.
  \clef violin dis-. e-. fis-. gis-. ais-. h-. cis-. dis-. e8-. r

  % gis-moll
  r2 \clef alto r4 gis,,,16\pp^\pizz fisis e dis r2 r8 gis16\(\ff^\arco fis'\)

  % E-Dur
  r2. r4 r8.

  % cis-moll
  \afterGrace cis'2\(\ff\> \glissando { \noStem cis,16\)\mf } his'\(\ff\> \glissando \afterGrace a4. \glissando { \noStem cis,16\)\mf }
  \afterGrace his'4..\(\ff\> \glissando { \noStem cis,16\)\mf }
  his'8.\(\ff\> \glissando \afterGrace fis4 \glissando { \noStem cis16\)\mf }
  \afterGrace his'4..\(\ff\> \glissando { \noStem cis,16\)\mf } r r4 dis16--\ff cis-- h--

  % A-Dur
  r \clef violin
  << \new Voice {
      \myGlissandoSettings
      \hideNotes
      \octave dis'
      \simpleBracket
      dis2.\startTextSpan \glissando \afterGrace his''4. \glissando his'\stopTextSpan
      \unHideNotes
    } {
      \octave dis'
      \simpleBracket
      <dis h'>2.\fff\>\startTextSpan \glissando \afterGrace {\zeroDyn <his'' gis'>4.\p\> \glissando} {\hideNotes <his' gis'>\stopTextSpan \unHideNotes}
  } >>

  % fis-moll
  r8 r2\! \clef alto r4.

  % D-Dur
  d,,,,16-.\pp^\ord e-. fis-. r8. cis16-. d-. e-. fis-. g-. r8. r4. cis16-.\pp\> d-. e-. fis-. r8 r8.
  e16-.-\sp fis-. g-. r8 \clef violin r e''16-. fis-.\! r4

  % h-moll
  \textSpannerUp
  \override TextSpanner #'bound-details #'left #'text = #(markup #:italic "sul re")
  %\override TextSpanner #'bound-details #'right #'text = ""
  r8 e,16\(\f-\ord\startTextSpan d, cis'\)\stopTextSpan r \clef alto ais\( g, fis'\) r d\( cis' h\) r
  \override TextSpanner #'bound-details #'left #'text = #(markup #:italic "sul sol")
  g,\(\startTextSpan fis''\)\stopTextSpan r
  \override TextSpanner #'bound-details #'left #'text = #(markup #:italic "sul do")
  d,\(\startTextSpan c,!8\)~ c16\stopTextSpan

  % G-Dur
  g'\pp^\pizz a h c d e fis g a h c \clef violin d e fis g a8^\bartokPizz r \clef alto r
  \afterGrace g,\mf^\arco \glissando {\hideNotes g' \unHideNotes}
  r16 \afterGrace c,8^\markup { \italic "sul re" } \glissando {\hideNotes c, \unHideNotes} r16 \clef violin
  \afterGrace fis8\f \glissando {\hideNotes fis'' \unHideNotes} r r16 dis,-.\pp

  % e-moll
  e-. r c'\(\ff\< h a g fis\) r dis\( c h a g\) r e\( dis c h a\) r fis''\( e dis c h\) r \clef alto g,\( f! e d! c4\)->\! r2

  \bar "|."
  }
}


Cello = \new Voice { \relative c, {
  \set Staff.instrumentName = "Violoncello"
  \myGlissandoSettings

  \clef bass

  c16-.\ppleggiero d-. e-. f-. g-. a-. h-. c-. d-. e-. f-. g-. a-. h-. c-. d-. \clef tenor
  e-. f-. g-. a-. h-. c-. d-. r r2 \clef bass r4 d,,16\ffmarcato e f gis

  % a-moll
  r2 r r8. c,16\(\f b a g\)

  % F-Dur
  f\(\subitopp g a b\) r r4 r16 b'\( c d e\) r8.
  r e16\( f g a\) r r4 r16 a-^\subitof h-^ r

  % d-moll
  <d, g\harmonic>4\p r r2

  % B-Dur
  r16
  \textSpannerDown
  \override TextSpanner #'bound-details #'left #'text = #(markup #:ord)
  \override TextSpanner #'bound-details #'right #'text = #(markup #:arrow-head 0 #'right #t #:sp)
  \once \override TextSpanner #'dash-fraction = ##f
  \override TextSpanner #'bound-details #'left-broken #'text = ""
  \override TextSpanner #'bound-details #'right-broken #'text = ""
  c,,\(\fp\startTextSpan d es f g a b\) c\( d es f\) g\( a b c\) d\( es f\) g\( a b\)\stopTextSpan r8 r8. a16\(\fespr\>-\ord b,8 d,\)\!

  % g-moll
  r16 g'\(\ff fis es\) r c,\( b a\) g2~\< g8 d'\subitop^\pizz r2

  % Es-Dur
  r8 h'16\(-\mf^\arco

  % c-moll
  c h\> as g\) f\( es des c b\)\p

  % As-Dur
  r2

  % f-moll
  c,16--

  % Des-Dur
  des[\(\f\> es f ges]\) as[\( b c des]\) es[\( f ges a]\)\!

  % b-moll
  r8. r2. a16\(\ff ges f es des c b as\)

  % Ges-Dur
  ges\ffmarcato^\spiccato r8 ces r8. as'16 r8. \clef tenor r4 b'16 r8. r4 \clef bass r8

  % es-moll
  es,,,~\fp es4. r8. as'~ as4 \clef tenor r16 ges'8.~\< ges4. r8\! \clef bass

  % H-Dur
  r16 cis,,,-.\ppleggiero dis-. e-. fis-. gis-. ais-. h-.
  cis-. dis-. e-. fis-. gis-. ais-. h-. cis-. dis-. e-. fis-. gis-. \clef tenor ais-. h-. cis-. dis-. e8-.

  % gis-moll
  r r2 \clef bass r r8. gis,,,16[\ppp^\pizz fisis] r8. r8 gis16\(\ff^\arco fis'\)

  % E-Dur
  r2.

  % cis-moll
  R1*2 \afterGrace fis2.\(\ff\> \glissando { \noStem his,,16\)\! } r4 dis'16[--\fff cis-- h]--

  % A-Dur
  << \new Voice {
      \myGlissandoSettings
      \hideNotes
      \octave a,
      \simpleBracket
      a16\startTextSpan \glissando \stemDown h2. \glissando \clef tenor \afterGrace eis'4. \glissando eis'\stopTextSpan
      \unHideNotes
    } {
      \octave a,
      \simpleBracket
      <a e'>16\fff\>\startTextSpan \glissando <h fis'>2. \glissando \clef tenor
      \afterGrace {\zeroDyn <eis' his'>4.\p\> \glissando} {\hideNotes <eis' his'>\stopTextSpan \unHideNotes}
  } >>

  % fis-moll
  r8 r2\! \clef bass r4.

  % D-Dur
  d,,,16-.\pp^\ord e-. fis-. g-. a-. h-. cis-. r8. r4 r8. g'16-.\pp\> a-. h-. cis-. r r4 r16
  cis-.-\sp d-. e-. r4 \clef tenor r16
  <d g\harmonic>-.-\ord <e a\harmonic>-.\! r \clef bass r8

  % h-moll
  h16^\bartokPizz r r2 r8 d,4.~\fp d4~ d16

  % G-Dur
  \textSpannerUp
  \once \override TextSpanner #'outside-staff-priority = #200
  \once \override TextScript #'outside-staff-priority = #100 
  \override TextSpanner #'bound-details #'left #'text = #(markup #:italic "restez IV")
  %\override TextSpanner #'bound-details #'right #'text = ""
  g,-.\pp^\colLegno\startTextSpan a-. h-. c-. d-. e-.\> fis-. g-. a-. h-. c-. d-. e-. fis-. g-.\stopTextSpan
  \override TextSpanner #'bound-details #'left #'text = #(markup #:italic "restez VI")
  a,,-.\pp\startTextSpan h-. c-. d-. e-.\> fis-. g-. a-. h-. c-. d-. e-. \clef tenor fis-. g-. a-. h-. c-.\!\stopTextSpan r8.

  % e-moll
  r2 \clef bass r8 <\parenthesize g,, c\harmonic>~-\open\mf^\arco <\parenthesize g c\harmonic>2~ <\parenthesize g c\harmonic>8
  r g16\(\fff f e d c4\)-> r2

  \bar "|."
  }
}


scale = {
  \tag #'score \new Staff \with {
    fontSize = #-6
    \override StaffSymbol #'staff-space = #(magstep -6)
    %\override VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 0)

  } {
    \new Voice {
      \relative c' {

        \clef violin

        c16 d e f g a h c d e f g a h c d e,, f g a h c d e f g a h c d e f g,, a h c d e f gis

        % a-moll
        a gis f e d c h a gis' f e d c h a gis f e d c b a g

        % F-Dur
        f g a b c d e f g a b c d e f g a b,, c d e f g a b c d e f g a h cis

        % d-moll
        d cis b a g f e d cis b a g f e d c

        % B-Dur
        b c d es f g a b c d es f g a b c d,, es f g a b c d es f g a b c d e fis

        % g-moll
        g fis es d c b a g fis es d c b as g f es d

        % Es-Dur
        es f g as b c d es f g as h

        % c-moll
        c h as g f es des c b

        % As-Dur
        as b as g

        % f-moll
        f g as b c,

        % Des-Dur
        des es f ges as b c des es f ges a

        % b-moll
        b a ges f es des c b a ges f es' des c b a ges f es des c b as

        % Ges-Dur
        ges as b ces des es f ges as b ces des es, f ges as b ces des es f ges as b ces d

        % es-moll
        es d ces b as ges f es d ces b as ges f es d ces b as'' ges f es d ces b as fis e dis cis

        % H-Dur
        h cis dis e fis gis ais h cis dis e fis gis ais h cis dis e fis gis ais, h cis dis e fisis

        % gis-moll
        gis fisis e dis cis h ais gis fisis e dis' cis h ais gis fisis e dis cis h ais gis fisis e dis cis h ais gis fis

        % E-Dur
        e fis gis a h cis dis e fis gis a h cis dis e fis gis a his

        % cis-moll
        cis his a gis fis e dis cis his a' gis fis e dis cis his a gis fis e dis cis his a gis
        fis''' e dis cis his a gis fis e dis cis his a gis fis e dis cis h!

        % A-Dur
        a h cis d e fis gis a h cis d e fis gis a h cis d eis

        % fis-moll
        fis e d cis h a gis fis eis d cis h a gis fis e

        % D-Dur
        d e fis g a h cis d e fis g,, a h cis d e fis g a h cis d e fis g a h,, cis d e fis g a h cis d e fis g ais

        % h-moll
        h ais g fis e d cis h ais g fis e d cis h ais g fis e'' d c h a

        % G-Dur
        g a h c d e fis g a h c d,, e fis g a h c d e fis g a h c d e fis, g a h c dis

        % e-moll
        e dis c h a g fis e dis c h a g fis e dis c h a'' g fis e dis c h a g f e d c4 r2

        \bar "|."
      }
    }
  }
}


music = {
  <<
    \tag #'score \tag #'vn1 \new Staff { << \global \ViolinoI >> }
    \tag #'score \tag #'vn2 \new Staff { << \global \ViolinoII >> }
    \tag #'score \tag #'vla \new Staff { << \global \Viola >> }
    \tag #'score \tag #'vlc \new Staff { << \global \Cello >> }
  >>
}
