\version "2.11.23"

tempoMark =
  #(define-music-function (parser location notevalue appendText) (string? string?)
    #{
      %{\once \override Score.RehearsalMark #'self-alignment-Y = #-1%}
      \mark \markup {
        \line {
          \fontsize #-2 \general-align #Y #DOWN \note #$notevalue #1 $appendText
        }
      }
    #})

padText =
  #(define-music-function (parser location padding) (number?)
    #{
      \once \override TextScript #'padding = #$padding
    #})

forceAlignDyn = #(define-music-function (parser location pad) (number?)
   #{ 
      \override DynamicLineSpanner #'staff-padding = $pad
   #})

revertAlignDyn = { \revert DynamicLineSpanner #'staff-padding }

upNatural =
#(define-music-function (parser location note) (ly:music?)
	#{
		\once \override Voice.Accidental #'stencil = #ly:text-interface::print
		\once \override Voice.Accidental #'text = \markup {\musicglyph #"accidentals.natural"
		\postscript #"gsave 0.17 setlinewidth -1.4 0.5 moveto -1.4 2 lineto stroke grestore gsave
			0.1 setlinewidth -1.7 1.4 moveto -1.4 2.18 lineto -1.1 1.4 lineto stroke grestore"}
        	$note
	#}
)

upSharp =
#(define-music-function (parser location note) (ly:music?)
	#{
		\once \override Voice.Accidental #'stencil = #ly:text-interface::print
		\once \override Voice.Accidental #'text = \markup {\musicglyph #"accidentals.sharp"
		\postscript #"gsave 0.17 setlinewidth -1.4 0.5 moveto -1.4 2 lineto stroke grestore gsave
			0.1 setlinewidth -1.7 1.4 moveto -1.4 2.18 lineto -1.1 1.4 lineto stroke grestore"}
        	$note
	#}
)

upFlat =
#(define-music-function (parser location note) (ly:music?)
	#{
		\once \override Voice.Accidental #'stencil = #ly:text-interface::print
		\once \override Voice.Accidental #'text = \markup {\musicglyph #"accidentals.flat"
		\postscript #"gsave 0.17 setlinewidth -1.4 0.5 moveto -1.4 2 lineto stroke grestore gsave
			0.1 setlinewidth -1.7 1.4 moveto -1.4 2.18 lineto -1.1 1.4 lineto stroke grestore"}
        	$note
	#}
)


#(define-markup-command (boxAround layout props text) (markup?)
  (interpret-markup layout props
    (markup #:box #:bold #:caps text )
  )
)

#(define-markup-command (asp layout props) ( )
  (interpret-markup layout props
    (markup #:boxAround "asp" )
  )
)

#(define-markup-command (sp layout props) ( )
  (interpret-markup layout props
    (markup #:boxAround "sp" )
  )
)

#(define-markup-command (ord layout props) ( )
  (interpret-markup layout props
    (markup #:boxAround "ord" )
  )
)

#(define-markup-command (st layout props) ( )
  (interpret-markup layout props
    (markup #:boxAround "st" )
  )
)

#(define-markup-command (ast layout props) ( )
  (interpret-markup layout props
    (markup #:boxAround "ast" )
  )
)

#(define-markup-command (bartokpizz layout props) ()
  (interpret-markup layout props
    (markup #:stencil
      (ly:stencil-translate-axis
        (ly:stencil-add
          (make-circle-stencil 0.7 0.1 #f)
          (ly:make-stencil
            (list 'draw-line 0.1 0 0.1 0 1)
            '(-0.1 . 0.1) '(0.1 . 1)
          )
        )
        0.7 X
      )
    )
  )
)

ffmarcato = #(make-dynamic-script (markup #:hspace 1 #:translate (cons 5 0)
  #:line(#:dynamic "ff" #:normal-text #:italic "marcato" )))

fespr = #(make-dynamic-script (markup #:hspace 1 #:translate (cons 5 0)
  #:line(#:dynamic "f" #:normal-text #:italic "espr." )))

ffespr = #(make-dynamic-script (markup #:hspace 1 #:translate (cons 5 0)
  #:line(#:dynamic "ff" #:normal-text #:italic "espr." )))

mfgiocoso = #(make-dynamic-script (markup #:hspace 1 #:translate (cons 5 0)
  #:line(#:dynamic "mf" #:normal-text #:italic "giocoso" )))

subitopp = #(make-dynamic-script (markup #:hspace 1 #:translate (cons 5 0)
  #:line(#:normal-text #:italic "subito" #:dynamic "pp" )))

subitop = #(make-dynamic-script (markup #:hspace 1 #:translate (cons 5 0)
  #:line(#:normal-text #:italic "subito" #:dynamic "p" )))

subitof = #(make-dynamic-script (markup #:hspace 1 #:translate (cons 5 0)
  #:line(#:normal-text #:italic "subito" #:dynamic "f" )))

subitoff = #(make-dynamic-script (markup #:hspace 1 #:translate (cons 5 0)
  #:line(#:normal-text #:italic "subito" #:dynamic "ff" )))

ppleggiero = #(make-dynamic-script (markup #:hspace 1 #:translate (cons 5 0)
  #:line(#:dynamic "pp" #:normal-text #:italic "leggiero" )))



simpleBracket = {
 \once \override TextSpanner #'bound-details #'left #'text = #(markup #:stencil
    (ly:stencil-add
      (ly:make-stencil
        (list 'draw-line 0.3 0 0 0 -1)
        '(0 . 0) '(1 . 1)
      )
    )
  )
  \once \override TextSpanner #'bound-details #'right #'text = #(markup #:stencil
    (ly:stencil-add
      (ly:make-stencil
        (list 'draw-line 0.3 0 0 0 -1)
        '(0 . 0) '(1 . 1)
      )
    )
  )
  \textSpannerUp
  \once \override TextSpanner  #'thickness = #3
  \once \override TextSpanner #'dash-fraction = ##f
}

%{simpleBracket = {
  \textSpannerUp
  \once \override TextSpanner  #'thickness = #3
  \once \override TextSpanner #'bound-details #'left #'text = \markup { \draw-line #'(0 . 1.5) }
  \once \override TextSpanner #'bound-details #'right #'text = \markup { \draw-line #'(0 . 1.5) }
  \once \override TextSpanner #'dash-fraction = ##f
}%}

zeroDyn = { \once \override Hairpin #'circled-tip = ##t }
quasiGlissando = { \once \override Glissando #'style = #'zigzag }
dynamicTab = { \once \override Score.DynamicText #'no-spacing-rods = ##f }
noStem = { \once \override Stem #'transparent = ##t }

spiccato = \markup { \italic spiccato }
colLegno = \markup { \italic "col legno" }
colLegnoBattuto = \markup { \italic "col legno battuto" }

bartokPizz = \markup \bartokpizz
arco = \markup { \italic arco }
pizz = \markup { \italic pizz. }

asp = \markup { \boxAround asp }
sp = \markup { \boxAround sp }
ord = \markup { \boxAround ord }
st = \markup { \boxAround st }
ast = \markup { \boxAround ast }

myGlissandoSettings = {
  \override Glissando #'thickness = #3
  \override Glissando #'gap = #0.1
}

